import request from '@/utils/request'

// 查询物资分类一级分类列表
export function listMaterialClass(query) {
  return request({
    url: '/materialClass/materialClassMaster/list',
    method: 'get',
    params: query
  })
}

// 查询物资分类一级分类详细
export function getMaterialClass(classMastId) {
  return request({
    url: '/materialClass/materialClassMaster/' + classMastId,
    method: 'get'
  })
}

// 新增物资分类一级分类
export function addMaterialClass(data) {
  return request({
    url: '/materialClass/materialClassMaster',
    method: 'post',
    data: data
  })
}

// 修改物资分类一级分类
export function updateMaterialClass(data) {
  return request({
    url: '/materialClass/materialClassMaster',
    method: 'put',
    data: data
  })
}

// 删除物资分类一级分类
export function delMaterialClass(classMastId) {
  return request({
    url: '/materialClass/materialClassMaster/' + classMastId,
    method: 'delete'
  })
}


// 按大类获取json
export function getMaterialClassJson(typeId) {
  return request({
    url: '/materialClass/materialClassMaster/getMaterialClassJson/' + typeId,
    method: 'get'
  })
}

// 根据json保存
export function setMaterialClassJson(data) {
  return request({
    url: '/materialClass/materialClassMaster/setMaterialClassJson' ,
    method: 'post',
    params: data
  })
}
